{% extends 'base.html' %}
{% load static %}

{% block page-title %} Widget's Announcement Board {% endblock %}

{% block heading %} 
<!DOCTYPE html>
<html>
<head>
<style>
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #333;
}

li {
  float: left;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover {
  background-color: #111;
}
</style>
</head>
<body>

<ul>
  <li><a class="active" href="/dashboard/">Dashboard</a></li>
  <li><a href="/forum/">Forum</a></li>
</ul>
</body>
</html>

<header> 
<link href='https://fonts.googleapis.com/css?family=Dancing Script' rel='stylesheet'>
    <div class="overlay">
        <h> Welcome to Widget's Announcement Board! </h> 
    </div>
</header>
{% endblock %}

{% block content %}
<h3>Announcements: </h3>
<p>{% for a in announcements_list %}
        <a href="{% url 'announcement_board:announcement-details' a.pk %}">
            {{a.title}} by {{ a.author.first_name }} {{ a.author.last_name }}
        </a><br>
    {% endfor %}
<br>
</p>
{% endblock %}

{% block footing %}
<p>
    <a href="{% url 'announcement_board:announcement-add' %}">
        <button class="btn add">New Announcement</button>
    </a>
</p>
{% endblock %}
